--==============================================--
-- Script: _Polish Coder_        (USGN: 108942) --
-- House script 0.1                             --
-- Copyright  2013 Adrian Gajos                --
--                                              --
-- READ RULES!                                  --
--==============================================--

h = {
	timer = 0;
	user = {};
	houses = {};
	hook = {
		join = function(id)
			h.user[id] = {house = false}
		end;
		leave = function(id)
			for _ in pairs(h.houses) do
				if id == h.houses[_].owner then
					h.houses[_].owner = false
					break
				end
			end
			h.user[id] = nil
		end;
		startround = function(id)
			for _ in pairs(h.houses) do
				h.houses[_].owner = false
			end
			for _, id in pairs(player(0,'table')) do
				h.user[id].house = false
			end
		end;
		use = function(id)
			for _ in pairs(h.houses) do
				if (player(id,'tilex') == h.houses[_].pos[1] and player(id,'tiley') + 1 == h.houses[_].pos[2]) or (player(id,'tilex') + 1 == h.houses[_].pos[1] and player(id,'tiley') == h.houses[_].pos[2]) or (player(id,'tilex') - 1 == h.houses[_].pos[1] and player(id,'tiley') == h.houses[_].pos[2]) or (player(id,'tilex') == h.houses[_].pos[1] and player(id,'tiley') - 1 == h.houses[_].pos[2]) then
					if not h.houses[_].owner then
						if not h.user[id].house then
							h.houses[_].owner = id
							h.user[id].house = true
							msg2(id,'000255000Successfully bought the house.')
						else
							msg2(id,'255000000You can have only one home.')
						end
					elseif h.houses[_].owner == id then
						parse('triggerposition '..h.houses[_].pos[1]..' '..h.houses[_].pos[2])
					else
						msg2(id,'255000000This house is already bought.')
					end
				end
			end
		end;
		say = function(id,txt)
			if string.lower(txt) == '!sell house' then
				if h.user[id].house then
					for _ in pairs(h.houses) do
						if id == h.houses[_].owner then
							h.houses[_].owner = false
							h.user[id].house = false
							msg2(id,'000255000Successfully sold your home.')
							break
						end
					end
				else
					msg2(id,'255000000You do not have a house.')
				end
			elseif string.lower(txt) == '!help' then
				msg2(id,'255255255House script by 255220000Gajos PL')
				msg2(id,'255255255!sell house 255220000- sell your house')
			end
		end;
	};
	func = {
		AddHouse = function(x,y)
			table.insert(h.houses,{
				pos = {x,y};
				owner = false;
			})
		end;
	};
	hooks = {'join','startround','leave','use','say'};
}
for _, i in pairs(h.hooks) do
	addhook(i,'h.hook.'..i,2)
end